import { OptionType } from "smoothly";
import { SelectivelyType } from "../model";
export declare class IntergiroAutocompleteInput {
  private invisibleDiv;
  private inputElement;
  private menuElement;
  private lastValue;
  options: OptionType[];
  showSuggestion: boolean;
  template: SelectivelyType;
  value: string;
  name: string;
  componentDidRender(): void;
  inputValueChangeHandler(event: CustomEvent<{
    name: string;
    value: any;
  }>): void;
  optionSelectHandler(event: CustomEvent<{
    name: string;
    value: any;
  }>): void;
  onKeyDown(event: KeyboardEvent): void;
  onKeyUp(event: KeyboardEvent): void;
  suggest(): void;
  select(newSelection: {
    full: string;
    cursor?: number | {
      start: number;
      end: number;
    };
    addon?: string;
    description?: string;
  }): void;
  setInvisibleDiv(newValue: string): void;
  render(): any;
}
